<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>

    <link rel="stylesheet" href="node_modules/normalize.css/normalize.css">
    <link rel="stylesheet" href="css/style.css">

    <script src="//cdnjs.cloudflare.com/ajax/libs/vue/2.1.6/vue.js"></script>
    <script src="//cdnjs.cloudflare.com/ajax/libs/lodash.js/4.16.4/lodash.js"></script>
    <script src="node_modules/vue2-google-maps/dist/vue-google-maps.js"></script>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.3.0/Chart.js"></script>
    <script src="js/libs/vue-charts.min.js"></script>

</head>
<body>
<style>
    .rootMap{
        width: 100%;
        height: 50vh;
        position: relative;
        left: 0;
        top: 0;
    }
</style>
<div class="container">
    <h1>Google maps</h1>

    <div id="vue-gMap">
        <!--GmapMap-->
        <google-map class="rootMap" :center="gmapOptions.center" :zoom="gmapOptions.zoom" :mapTypeId="gmapOptions.mapTypeId" :titl="gmapOptions.titl">
            <!--GmapMarkers-->
            <google-marker v-for="m in gmarkerOptions.markers" :position="m.position" :clickable="true" :draggable="true" @click="center=m.position"></google-marker>
            <!--GroundOverlay-->
            <ground-overlay source='./overlay.png' :bounds="groundOverlayOptions.bounds" :opacity="groundOverlayOptions.opacity"></ground-overlay>
            <!--GmapPolygon-->
            <!--<google-polygon :paths="gmapPolygonOptions.paths" :editable="gmapPolygonOptions.editable" @paths_changed="updateEdited($event)"></google-polygon>-->
            <!--GmapPolyline-->
            <google-polyline
                    v-for="p in gmapPolylineOptions.linePath"
                    :path="p.path" :editable="gmapPolylineOptions.editable" :options="gmapPolylineOptions.polylineOptions"></google-polyline>
        </google-map>

        <ul v-if="gmapPolygonOptions.edited" @click="gmapPolygonOptions.edited = null">
            <li v-for="path in edited">
                <ol>
                    <li v-for="point in path">
                        {{point.lat}}, {{point.lng}}
                    </li>
                </ol>
            </li>
        </ul>
    </div>

    <h1>Vue charts</h1>
    <div id="vue-chartLine">
        <canvas id="vue-chartLineCanvas" count="2"></canvas>
        <chartjs-line :height="audi.height"
                      :data="audi.speed"
                      :labels="audi.labels"
                      :datalabel="audi.datalabel"
                      :backgroundcolor="'rgba(233,30,99,0.1)'"
                      :bordercolor="'#E91E63'"
                      :fill="true"

                      :pointborderwidth="audi.mywidth"
                      :pointbordercolor="audi.mypointbordercolor"
                      :pointhoverborderwidth="audi.hoverwidth"
                      :pointhoverbackgroundcolor="audi.hoverbackgroundcolor"
                      :pointhoverbordercolor="audi.hoverbordercolor"
                      target="vue-chartLineCanvas">
        </chartjs-line>

        <chartjs-line :datalabel="bmwX6.datalabel"
                      :data="bmwX6.speed"
                      :labels="bmwX6.labels"
                      :backgroundcolor="'rgba(75,192,192,0.1)'"
                      :bordercolor="'#00c853'"
                      :fill="true"

                      :pointborderwidth="bmwX6.mywidth"
                      :pointbordercolor="bmwX6.mypointbordercolor"
                      :pointhoverborderwidth="bmwX6.hoverwidth"
                      :pointhoverbackgroundcolor="bmwX6.hoverbackgroundcolor"
                      :pointhoverbordercolor="bmwX6.hoverbordercolor"
                      target="vue-chartLineCanvas">

        </chartjs-line>
    </div>

</div>
<script src="js/script.js"></script>

</body>
</html>